package auth

import (
	"net/http"

	"in-server/app/main/api/internal/logic/auth"
	"in-server/app/main/api/internal/svc"
	"in-server/app/main/api/internal/types"
	"in-server/common/result"
	"in-server/pkg/lzkit/validator"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func SendSmsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SendSmsReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := auth.NewSendSmsLogic(r.Context(), svcCtx)
		err := l.SendSms(&req)
		result.HttpResult(r, w, nil, err)
	}
}
